<?php
namespace AustraliaPost\Extensions\Business\API\Wrapper;

use AustraliaPost\Extensions\Business\API\Wrapper\Connector;
use AustraliaPost\Extensions\Business\API\Wrapper\Connectors\Abstract_Connector;

class Account {

	private $endpoint = '/accounts/{account-number}';
	private $connector;

	/**
	 * Account constructor.
	 *
	 * @param Abstract_Connector $connector
	 */
	public function __construct( $connector ) {
		$this->connector = $connector;
	}


	public function get_account(){
		return $this->connector->connect(
			$this->get_endpoint(),
			'GET'
		);
	}

	private function get_endpoint() {
		return str_replace('{account-number}', $this->connector->getAccountNumber(), $this->endpoint);
	}

	public function get_postage_products() {
		$accounts = $this->get_account();
		if(!isset($accounts['postage_products'])){
			return [];
		}

		return $accounts['postage_products'];
	}


}
