<?php

namespace AustraliaPost\Extensions\Business\Endpoints;


use AustraliaPost\Extensions\Business\API\Business;

class Verify_Credentials_Endpoint extends Abstract_Endpoint {

	public function callback( $data )
	{
		$this->validate($data);

		$is_valid = (new Business())->verify_credentials(
			$data['account_number'],
			$data['account_password'],
			$data['api_key']
		);

		return [ 'is_valid' => $is_valid ];

	}

	public function action() {
		return 'verify_credentials';
	}

	private function validate( $data )
	{

		if (!isset($data['account_number'])) {
			$this->abort('account_number must exists');
		}

		if (!isset($data['account_password'])) {
			$this->abort('account_password must exists');
		}

		if (!isset($data['api_key'])) {
			$this->abort('api_key must exists');
		}

	}
}
